[Java] Compiler en Java 6 avec NetBeans

[Résolu/Fermé]
Signaler
Messages postés
1706
Date d'inscription
jeudi 28 août 2008
Statut
Membre
Dernière intervention
13 mai 2018
-
Messages postés
1706
Date d'inscription
jeudi 28 août 2008
Statut
Membre
Dernière intervention
13 mai 2018
-
Bonjour,

J'ai NetBeans 7.1.1 avec JDK 1.7.0_04.
Il compile mon projet pour Java 7 alors que j'ai besoin qu'il fonctionne sous Java 6 (ou java 5 si possible d'après une recherche Google sur le sujet).
Puis-je choisir une alternance entre Java 6 pour certains projets et Java 7 pour d'autres ?
Ou comment faire pour qu'il compile pour Java 6 ?

Je créé un plugin Minecraft (CraftBukkit), et celui-ci fonctionne très bien sur un serveur lancé avec avec Java 7, mais ne fonctionne pas s'il est lancé avec Java 6(des erreurs s'affichent et donc le plugin n'est pas lancé).

Je suppose que je dois installer le JDK de version inférieure, mais j'aimerais quand même pouvoir choisir entre le JDK, ou savoir quel fichier contient les informations sur le JDK à utiliser pour la compilation.

PS : Sachant que je vais réinstaller NetBeans sur un autre ordinateur ce week-end, pourrais-je avoir les liens du JDK et de la version de NetBeans à utiliser ?

Merci pour votre aide.

2 réponses

Messages postés
16372
Date d'inscription
samedi 31 mai 2008
Statut
Modérateur
Dernière intervention
23 juillet 2021
2 860
Il n'est pas nécessaire d'avoir les JDK inférieures, les plus récentes sont compatibles avec les versions antérieures. Cependant tu dois configurer NetBeans, regarde :
Compilation Croisée entre Plateformes Java.
Messages postés
1706
Date d'inscription
jeudi 28 août 2008
Statut
Membre
Dernière intervention
13 mai 2018
349
Non en fait j'ai trouvé dans les propriétés du projet. Et je suis obligé d'utiliser une version inférieure http://forums.bukkit.org/threads/unsupported-major-minor-version-51-0.48687/.